client_table.h File Reference
`#include "GenlibClientSubscription.h"`
`#include "TimerThread.h"`
`#include "UpnpString.h"`
`#include "config.h"`
`#include "uri.h"`
`#include <stdlib.h>`
Include dependency graph for client_table.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | free_client_subscription (GenlibClientSubscription *sub)
| Free memory allocated for client subscription data.
void | freeClientSubList (GenlibClientSubscription *list)
| Free the client subscription table.
void | RemoveClientSubClientSID (GenlibClientSubscription **head, const UpnpString *sid)
| Remove the client subscription matching the subscritpion id represented by the const Upnp_SID sid parameter from the table and update the table.
GenlibClientSubscription * | GetClientSubClientSID (GenlibClientSubscription *head, const UpnpString *sid)
| Return the client subscription from the client table that matches const Upnp_SID sid subscrition id value.
GenlibClientSubscription * | GetClientSubActualSID (GenlibClientSubscription *head, token *sid)
| Returns the client subscription from the client subscription table that has the matching token *sid buffer value.

## Variables

TimerThread | gTimerThread

## Function Documentation

## free_client_subscription()

void free_client_subscription | ( | GenlibClientSubscription * | sub | ) |

Free memory allocated for client subscription data.

Remove timer thread associated with this subscription event.

Parameters

  [in] | sub | Client subscription to be freed.

References GenlibClientSubscription_get_RenewEventId(), GenlibClientSubscription_set_RenewEventId(), GenlibClientSubscription_strcpy_ActualSID(), GenlibClientSubscription_strcpy_EventURL(), gTimerThread, and TimerThreadRemove().

## freeClientSubList()

void freeClientSubList | ( | GenlibClientSubscription * | list | ) |

Free the client subscription table.

Parameters

  [in] | list | Client subscription list to be freed.

References GenlibClientSubscription_delete(), and GenlibClientSubscription_get_Next().

## GetClientSubActualSID()

GenlibClientSubscription * GetClientSubActualSID | ( | GenlibClientSubscription * | head,
|  | token * | sid )

Returns the client subscription from the client subscription table that has the matching token *sid buffer value.

Returns
  The matching subscription.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

References GenlibClientSubscription_get_ActualSID_cstr(), and GenlibClientSubscription_get_Next().

## GetClientSubClientSID()

GenlibClientSubscription * GetClientSubClientSID | ( | GenlibClientSubscription * | head,
|  | const UpnpString * | sid )

Return the client subscription from the client table that matches const Upnp_SID sid subscrition id value.

Returns
  The matching subscription.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

References GenlibClientSubscription_get_Next(), GenlibClientSubscription_get_SID_cstr(), and UpnpString_get_String().

## RemoveClientSubClientSID()

void RemoveClientSubClientSID | ( | GenlibClientSubscription ** | head,
|  | const UpnpString * | sid )

Remove the client subscription matching the subscritpion id represented by the const Upnp_SID sid parameter from the table and update the table.

Parameters

  [in] | head | Head of the subscription list.
  [in] | sid | Subscription ID to be mactched.

References GenlibClientSubscription_get_Next(), GenlibClientSubscription_get_SID_cstr(), GenlibClientSubscription_set_Next(), and UpnpString_get_String().